[Testing Update] 2018-01-26 - Kernels, Firefox, XFCE-Settings, GCC, Mesa, Haskell

update
testing

#1

Hi community,

with this we updated most of our kernels, mesa, firefox, gcc and had the usual Haskell and php rebuilds/updates.

It seems that our french community had some issues changing wallpapers within our XFCE edition. This is now addressed in our upcoming xfce-settings package and will be therefore fixed in our future ISOs by default. For installed systems we recommend to use /usr/share/backgrounds/xfce as default folder. The new package will automatically create the needed symlinks for wallpapers added to /usr/share/backgrounds/ from now on.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.52
  • linux318 3.18.92 [EOL]
  • linux41 4.1.48
  • linux44 4.4.113
  • linux49 4.9.78
  • linux412 4.12.14 [EOL]
  • linux413 4.13.16 [EOL]
  • linux414 4.14.14
  • linux415 4.15-rc9
  • linux-RT-LTS 4.9.76_rt61
  • linux-RT 4.11.12_rt16

Package Updates (Fri Jan 26 08:56:21 CET 2018)

  • testing community x86_64: 709 new and 681 removed package(s)
  • testing core x86_64: 38 new and 39 removed package(s)
  • testing extra x86_64: 261 new and 262 removed package(s)
  • testing multilib x86_64: 1 new and 4 removed package(s)

A detailed package change-log can be found here.


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


Where is Firefox 58?
Segmentation fault when I try to run xfce4-display-settings
#2

wiki post


#5

Hi,
Since the update I cannot insert certain modules (tuxedo-wmi or clevo-xsm-wmi) at boot or using modprobe. After doing the update, reinstalling the packages or the dkms modules I got this error:

clevo_xsm_wmi: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ’ should be '4.14.15-1-MANJARO SMP preempt mod_unload modversions ’

For both the clevo-xsm-wmi and clevo-xsm-wmi-dkms packages and:

tuxedo_wmi: version magic '4.14.15-1-MANJARO SMP preempt mod_unload modversions retpoline ’ should be '4.14.15-1-MANJARO SMP preempt mod_unload modversions ’

For tuxedo-wmi-dkms.

Nota:

  • these packages are AUR packages and tuxedo-wmi cannot be installed from there anymore (I have it in my /var/cache/pacman/pkg/ folder),
  • everything else seems to work as intended.

It seems that there is a problem when these modules are compiled, will dig into it later.

Edit: Seems that this is a problem with kernels and headers (4.9 and 4.14) not matching (the retpoline thing tells me that).
Edit 2: on kernel 4.15, the modules can be inserted without error.


#6

I get this message when installing this update:

( 94/105) atualizando syslinux [############################################] 100%

==> For setting up Syslinux BIOS using the syslinux-install_update script follow
https://wiki.archlinux.org/index.php/Syslinux#Automatic_Install

This is something the user should do or no need to do? I mean running the script?


#7

one is compiled with retpoline option other without. Use modprobe --force-vermagic module to load.


#8

Someone asked in last Stable updates thread for Firefox 58, kernel 4.14.15 and kernel 4.15-rc9.

I don’t know about 4.14.15 since I still use Linux 4.9, but for Firefox 58, I have no issue with it so far.

Nothing else to report for now.


#9

Hi Philm
This problem appaers only with the live-session with french parameters selected in Calamares menu.
Other issue in live-usb comes with Cups such “internal server error” . I solve with a simple cupctl before without installing manjaro-printer.
No problem with Manjaro installed.


#10

Cheers mate, will try as soon as I get back to my computer.


#12

I got a error starting xorg after the update:

[  1529.800] _XSERVTransSocketUNIXCreateListener: ...SocketCreateListener() failed
[  1529.803] _XSERVTransMakeAllCOTSServerListeners: server already running
[  1529.806] (EE) 
Fatal server error:
[  1529.814] (EE) Cannot establish any listening sockets - Make sure an X server isn't already running(EE) 
[  1529.818] (EE) 
Please consult the The X.Org Foundation support 
         at http://wiki.x.org
 for help. 
[  1529.834] (EE) Please also check the log file at "/home/grayjack/.local/share/xorg/Xorg.0.log" for additional information.
[  1529.838] (EE) 
[  1529.843] (EE) Server terminated with error (1). Closing log file.

You get this message possibly because the lock file was removed somehow or some other program which doesn’t create a lock file is already listening on this port

But you can get around this using
startx -- :1


#13

…better read correctly

…this means in general.

@NyBac, Your bad manners are not good for this forum, because people from all over the world are working here together, including french people. And we don’t give a fish about your bad behaviour.


#14

Just to prevent further misunderstandings I’ve edited the OP. However, there’s no excuse for the language used in some of the replies.


#15

4 posts were split to a new topic: Update process stopped during kernel upgrade


#17

I thought it was something about spectre/meltdown


#18

Syslinux isn’t installed by default, so that’s a change you’ve made. Only you will know what you’ve done to your system.


#19

Well, my system a long ago is a Manjaro-XFCE and I can’t remember to install anything around this.
I will keep as it is, don’t know what will happen if I play with this. And in the WIKI says it is “Arch specific”. And till now is working


#20

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.